### Function

# Pango Language get_preferred

since: 1.48

#### Declaration [src]

    PangoLanguage**
    pango_language_get_preferred (
      void
    )

#### Description [src]

Returns the list of languages that the user prefers.

The list is specified by the `PANGO_LANGUAGE` or `LANGUAGE` environment variables, in order of preference. Note that this list does not necessarily include the language returned by `pango_language_get_default()`.

When choosing language-specific resources, such as the sample text returned by `pango_language_get_sample_string()`, you should first try the default language, followed by the languages returned by this function.

Available since: 1.48

#### Return value

Type: An array of `PangoLanguage*`

A `NULL`-terminated array of `PangoLanguage`*.

The array is `NULL`-terminated.
The data is owned by the called function.
The return value can be `NULL`.